import 'package:json_annotation/json_annotation.dart';

part 'updateUserIndexParams.g.dart';

@JsonSerializable()
class UpdateUserIndexParams {
  String user;
  String username;
  String device;
  int appVersion;
  String deviceInfo;


  UpdateUserIndexParams({
    required this.user,
    required this.username,
    required this.device,
    required this.appVersion,
    required this.deviceInfo
  });

  factory UpdateUserIndexParams.fromJson(Map<String, dynamic> json) => _$UpdateUserIndexParamsFromJson(json);
  Map<String, dynamic> toJson() => _$UpdateUserIndexParamsToJson(this);
}